<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
$admin = $_SESSION["admin_" . $dbname];
mysqli_select_db($conn, $zdb);

$zyear = $_SESSION["tit_" . $dbname];
//$admin = $_SESSION["admin_" . $dbname];
$maindb = 'accmast';

$trandb = "actran";
$bankrecp = "bankrecp";
$bankpay = "bankpay";
$cashrecp = "cashrecp";
$cashpay = "cashpay";
$contra = "contra";

$mpara = $_GET["para"];
if ($mpara == "B") {
    $bgrp = "001";
    $msource1 = "BR";
    $msource2 = "BP";
    $dispname = 'Bank';
    $formname = 'Bank Book';
} else {
    $bgrp = "002";
    $msource1 = "CR";
    $msource2 = "CP";
    $dispname = 'Cash';
    $formname = 'Cash Book';
}


if (isset($_POST["submit"]) || ($_GET["view"])) {

    $acond = "";
    if (!empty($_POST["name"])) {
        $code = $_POST["name"];
        $acond = "AND `accode`='$code'";
    } elseif (!empty($_GET["acc"])) {
        $code = $_GET["acc"];
        $acond = "AND `accode`='$code'";
    } else {
        if ($mpara == "B") {
            browse("Bank Name Cannot Be Empty.");
        } else {
            browse("Cash Name Cannot Be Empty.");
        }
        header("refresh: 1; ledger.php");
        exit();
    }

    if ($_GET["fdt"] != '') {
        $mfrmdate = trim($_GET["fdt"]);
    } else {
        $mfrmdate = trim($_POST["frmdate"]);
        if (empty($_POST["frmdate"])) {
            browse("From Date Cannot Be Empty");
            header("refresh:1; bankbook.php");
        }
    }
    if ($_GET["tdt"] != '') {
        $mtodate = trim($_GET["tdt"]);
    } else {
        $mtodate = trim($_POST["todate"]);
        if (empty($_POST["todate"])) {
            browse("To Date Cannot Be Empty");
            header("refresh:1; bankbook.php");
        }
    }

    if ($_GET["rpt2"] != '') {
        $prntype = $_GET["rpt2"];
    } else {
        $prntype = $_POST["dtype"];
    }
    $prnnarr = $_POST["prinarr"];


    if ($prntype == 1) {
        $repname = $dispname . " Book";
    } elseif ($prntype == 2) {
        $repname = $dispname . " Book - Only Debits";
    } else {
        $repname = $dispname . " Book - Only Credits";
    }

    $acc = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE accode!='' $acond") or die(mysqli_error($conn));
    include("includes/linkshead.php");
    ?>

    <head>
        <style>
            @media print {
                .noPrint {
                    display: none;
                }
            }
        </style>
    </head>

    <body>
        <div class="container">
            <?php include('includes/head_rep.php') ?>
            <table class=" table table-condensed table-bordered table-striped" summary="Ledger - Detail" width='100%'
                border="0">
                <tbody>
                    <?php
                    mysqli_select_db($conn, $zdb);

                    $totbal = 0;

                    while ($getac = mysqli_fetch_array($acc)) {
                        /** Detail Part* */
                        $totbal = 0;
                        $dtot = 0;
                        $ctot = 0;

                        $maccode = $getac["accode"];
                        $mbankinit = $getac["bankinit"];
                        //                                browse($mbankinit);
                        $macname = $getac["name"];
                        $mopbal = $getac["openbal"];
                        $mopdc = $getac["dc"];

                        if ($mopdc == "D") {
                            $mopbal = $mopbal * -1;
                        }


                        $ctran1 = mysqli_query($conn, "SELECT *, DATE_FORMAT(`date`, '%d-%m-%Y') as mydt FROM `actran` 
                                                       WHERE accode != '$maccode' and 
                                                       (source = '$msource1' or source = '$msource2') and  
                                                       concat(source,vouchno) in (select concat(source,vouchno) from `actran` 
                                                       where accode = '$maccode' and 
                                                       date >= '$mfrmdate' and date <= '$mtodate' and `retdate` = '0000-00-00'    
                                                       and (source = '$msource1' or source = '$msource2'))  
                                                       union all
                                                       SELECT *, DATE_FORMAT(`date`, '%d-%m-%Y') as mydt FROM `actran` 
                                                       WHERE accode != '$maccode' and source = 'TR' and  
                                                       concat(source,vouchno) in (select concat(source,vouchno) from `actran` 
                                                       where accode = '$maccode'  and `retdate` = '0000-00-00' and
                                                       date >= '$mfrmdate' and date <= '$mtodate' and source = 'TR' )    
                                                       order by date, source, vouchno ") or die(mysqli_error($conn));

                        //                                print table($ctran1);
                
                        $getbal = mysqli_query($conn, "SELECT SUM(amount) as amt FROM `$trandb` WHERE accode = '$maccode' AND 
                                                           `date` < '$mfrmdate' and `retdate` = '0000-00-00' ") or die(mysqli_error($conn));
                        $getamt = mysqli_fetch_array($getbal);
                        $amt = $getamt['amt'];

                        $mobal = $mopbal + $amt;
                        $mdebit = 0;
                        $mcredit = 0;

                        if ($mobal < 0) {
                            $mdc = "DR";
                            $mdebit = abs($mobal);
                            //                                    $dtot = $dtot + $mdebit;
                        } else {
                            $mdc = "CR";
                            $mcredit = abs($mobal);
                            //                                    $ctot = $ctot + $mcredit;
                        }
                        $vdate1 = strtotime($mfrmdate);
                        $vdate = date('d-m-Y', $vdate1);
                        $mvouch = "";
                        $mdescrip = "Opening Balance";
                        $totbal = $totbal + $mobal;

                        if ($totbal < 0) {
                            $mdctot = "DR";
                            $colr = " color:black";
                        } else {
                            $mdctot = "CR";
                            $colr = " color:red";
                        }
                        echo "<tr style='height:10px;background-color: #8F4131'>";
                        echo "<th style=\"text-align:left;\" scope=\"col\" width=\"500\" colspan='9'><b>" . strtoupper($macname) . "</b></th>";
                        echo "</tr>";
                        ?>
                        <tr style="height:10px; " class="mySearchTr">
                            <th style="text-align:left;width:10%"><b>Date</b></th>
                            <th style="text-align:left;width:10%"><b>Voucher No.</b></th>
                            <th style="text-align:left;width:50%" colspan="2"><b>Description</b></th>
                            <th style="text-align:right;width:10%"><b>Debit</b></th>
                            <th style="text-align:right;width:10%"><b>Credit</b></th>
                            <th style="text-align:right;width:10%"><b>Balance</b></th>
                        </tr>

                        <?php
                        echo "<td>$vdate</td>";
                        echo "<td>$mvouch</td>";
                        echo "<td colspan='2'>$mdescrip</td>";

                        if ($prntype == 1) {
                            echo "<td class='text-right'>" . number_format($mdebit, 2) . "</td>";
                            echo "<td class='text-right'>" . number_format($mcredit, 2) . "</td>";

                            echo "<td class='text-right' style= '$colr'>" . number_format(abs($totbal), 2) . " " . $mdctot . "</td>";
                        } elseif ($prntype == 2) {
                            echo "<td class='text-right'>" . number_format($mdebit, 2) . "</td>";
                            echo "<td></td>";
                            echo "<td></td>";
                        } else {
                            echo "<td></td>";
                            echo "<td class='text-right'>" . number_format($mcredit, 2) . "</td>";
                            echo "<td></td>";
                        }

                        if ($mcredit > 0) {
                            $opening = round($mcredit);
                        } else {
                            $opening = round($mdebit);
                        }
                        while ($row = mysqli_fetch_assoc($ctran1)) {

                            $vdate = $row["mydt"];
                            $msource = $row["source"];
                            $mvouch = $row["vouchno"];
                            $mamount = $row["amount"];
                            $daccode = $row["accode"];
                            $mdebit = 0;
                            $mcredit = 0;

                            if ($mamount > 0) {
                                $mdc = "DR";
                                $mdebit = abs($mamount);
                                $dtot = $dtot + $mdebit;
                                $totbal = $totbal - abs($mamount);
                            } else {
                                $mdc = "CR";
                                $mcredit = abs($mamount);
                                $ctot = $ctot + $mcredit;
                                $totbal = $totbal + abs($mamount);
                            }

                            if ($totbal < 0) {
                                $mdctot = "DR";
                                $colr = " color:black";
                            } else {
                                $mdctot = "CR";
                                $colr = " color:red";
                            }
                            $mdescrip = "";
                            $mchqdtl = "";
                            $mnarr = "";

                            $nqry1 = mysqli_query($conn, "SELECT name FROM `accmast` WHERE accode = '$daccode'") or die(mysqli_error($conn));
                            $nqry = mysqli_fetch_array($nqry1);

                            $head = $nqry["name"];

                            switch ($msource) {

                                case "BR":
                                    if ($prnnarr == 1) {
                                        $nqry1 = mysqli_query($conn, "SELECT chqno, DATE_FORMAT(`chqdate`, '%d-%m-%Y') as mbilldate, remark1
                                                                        FROM `$bankrecp`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                                        $nqry = mysqli_fetch_array($nqry1);

                                        $mbill = $nqry["chqno"];
                                        $mbilldt = $nqry["mbilldate"];
                                        $mnarr = $nqry["remark1"];
                                        $mchqdtl = "Cheque No. : " . +trim($mbill) . " &nbsp;&nbsp;Dated : " . $mbilldt;
                                    }
                                    break;

                                case "BP":

                                    if ($prnnarr == 1) {
                                        $nqry1 = mysqli_query($conn, "SELECT chqno, DATE_FORMAT(`chqdate`, '%d-%m-%Y') as mbilldate, remark1 
                                                                         FROM `$bankpay`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                                        $nqry = mysqli_fetch_array($nqry1);

                                        $mbill = $nqry["chqno"];
                                        $mbilldt = $nqry["mbilldate"];
                                        $mnarr = $nqry["remark1"];
                                        $mchqdtl = "Cheque No. : " . +trim($mbill) . " &nbsp;&nbsp;Dated : " . $mbilldt;
                                    }
                                    break;

                                case "CR":

                                    if ($prnnarr == 1) {
                                        $nqry1 = mysqli_query($conn, "SELECT `remark1`, `remark2` FROM `$cashrecp`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                                        $nqry = mysqli_fetch_array($nqry1);

                                        $mbill = '';
                                        $mbilldt = '';
                                        $mnarr = $nqry["remark1"] . ' ' . $nqry['remark2'];
                                        //$mchqdtl = "Cheque No. : ".+ trim($mbill)." &nbsp;&nbsp;Dated : ".$mbilldt;  
                                    }
                                    break;

                                case "CP":

                                    if ($prnnarr == 1) {
                                        $nqry1 = mysqli_query($conn, "SELECT `remark1` FROM `$cashpay`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                                        $nqry = mysqli_fetch_array($nqry1);

                                        $mbill = $nqry[""];
                                        $mbilldt = $nqry[""];
                                        $mnarr = $nqry["remark1"];
                                        //$mchqdtl = "Cheque No. : ".+ trim($mbill)." &nbsp;&nbsp;Dated : ".$mbilldt;  
                                    }
                                    break;

                                case "TR";
                                    //                                            $head = "Contra / Transfer";
                                    if ($mamount > 0) {
                                        $head = "To " . $head;
                                    } else {
                                        $head = "From " . $head;
                                    }
                                    if ($prnnarr == 1) {
                                        $nqry1 = mysqli_query($conn, "SELECT `narr1`, `narr2` FROM `$contra`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                                        $nqry = mysqli_fetch_array($nqry1);

                                        $mnarr = trim($nqry["narr1"]) . ' ' . trim($nqry["narr2"]);
                                    }
                                    break;
                                default:
                                    $head = "Other";
                            }
                            echo "<tr style='height:10px;background-color:white' class='clickable-row2' data-href='cashrecp.php?vouchno=$mvouch&mode=edit' data-target='_blank'>";
                            echo "<td>$vdate</td>";
                            echo "<td>" . $msource . " " . $mvouch . "</td>";
                            echo "<td  colspan='2'>$head";

                            if ($prnnarr == 1) {

                                if (!empty($mchqdtl)) {
                                    echo "<br/>$mchqdtl";
                                }
                                if (!empty($mnarr)) {
                                    echo "<br/>";
                                    echo $mnarr;
                                }
                            }
                            echo "</td>";

                            if ($prntype == 1) {
                                echo "<td class='text-right'>" . number_format($mdebit, 2) . "</td>";
                                echo "<td class='text-right'>" . number_format($mcredit, 2) . "</td>";
                                echo "<td class='text-right' style='$colr'>" . number_format(abs($totbal), 2) . " " . $mdctot . "</td>";
                            } elseif ($prntype == 2) {
                                echo "<td class='text-right'>" . number_format($mdebit, 2) . "</td>";

                                echo "<td ></td>";
                                echo "<td ></td>";
                            } else {

                                echo "<td ></td>";
                                echo "<td class='text-right'>" . number_format($mcredit, 2) . "</td>";
                                echo "<td ></td>";
                            }
                            echo "</tr>";
                        }

                        if ($opening > 0) {
                            $dtot = $dtot + $opening;
                        } else {

                            $ctot = $ctot + $opening;
                        }
                        echo "<tr style='height:10px'>";
                        echo "<td ></td>";
                        echo "<td ></td>";
                        echo "<td ></td>";
                        echo "<td class='text-right' style='width:35%'><strong>Total</strong></td>";
                        //                                echo "<td class='text-right' style='width:15%'><strong>Opening - $opening</strong></td>";
                
                        if ($prntype == 1) {
                            echo "<td class='text-right'>$dtot</td>";
                            echo "<td class='text-right'>$ctot</td>";

                            if ($totbal < 0) {
                                echo "<td class='text-right'><font color='green'><strong>" . number_format(abs($totbal), 2) . " " . $mdctot . "</strong></font></td>";
                            } else {
                                echo "<td class='text-right'><font color='red'><strong> -" . number_format(abs($totbal), 2) . " " . $mdctot . "</strong></font></td>";
                            }
                        } elseif ($prntype == 2) {
                            echo "<td class='text-right'>" . number_format($dtot, 2) . "</td>";
                            echo "<td ></td>";
                        } else {

                            echo "<td ></td>";
                            echo "<td class='text-right'>" . number_format($ctot, 2) . "</td>";
                        }
                        echo "</tr>";
                    }
                    ?>
                </tbody>
            </table>
        </div>
        <?php
        include("includes/linksfoot.php");
}

if (isset($_POST["excel"])) {

    $acond = "";
    if (!empty($_POST["name"])) {
        $code = $_POST["name"];
        $acond = "AND `accode`='$code'";
    } elseif (!empty($_GET["acc"])) {
        $code = $_GET["acc"];
        $acond = "AND `accode`='$code'";
    } else {
        if ($mpara == "B") {
            browse("Bank Name Cannot Be Empty.");
        } else {
            browse("Cash Name Cannot Be Empty.");
        }
        header("refresh: 1; ledger.php");
        exit();
    }

    if ($_GET["fdt"] != '') {
        $mfrmdate = trim($_GET["fdt"]);
    } else {
        $mfrmdate = trim($_POST["frmdate"]);
        if (empty($_POST["frmdate"])) {
            browse("From Date Cannot Be Empty");
            header("refresh:1; bankbook.php");
        }
    }
    if ($_GET["tdt"] != '') {
        $mtodate = trim($_GET["tdt"]);
    } else {
        $mtodate = trim($_POST["todate"]);
        if (empty($_POST["todate"])) {
            browse("To Date Cannot Be Empty");
            header("refresh:1; bankbook.php");
        }
    }


    if ($_GET["rpt2"] != '') {
        $prntype = $_POST["rpt2"];
    } else {

        $prntype = $_POST["dtype"];
    }
    $prnnarr = $_POST["prinarr"];

    if ($prntype == 1) {
        $repname = $dispname . " Book";
    } elseif ($prntype == 2) {
        $repname = $dispname . " Book - Only Debits";
    } else {
        $repname = $dispname . " Book - Only Credits";
    }
    $acc = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE accode!='' $acond") or die(mysqli_error($conn));

    mysqli_select_db($conn, $zdb);

    $totbal = 0;

    while ($getac = mysqli_fetch_array($acc)) {
        /** Detail Part* */
        $totbal = 0;
        $dtot = 0;
        $ctot = 0;

        $maccode = $getac["accode"];
        $mbankinit = $getac["bankinit"];
        $macname = $getac["name"];
        $mopbal = $getac["openbal"];
        $mopdc = $getac["dc"];

        if ($mopdc == "D") {
            $mopbal = $mopbal * -1;
        }

        $ctran1 = mysqli_query($conn, "SELECT *, DATE_FORMAT(`date`, '%d-%m-%Y') as mydt FROM `actran` 
                                                       WHERE trnno != '001' and bankinit = '$mbankinit' and 
                                                       (source = '$msource1' or source = '$msource2') and  
                                                       concat(source,vouchno) in (select concat(source,vouchno) from `actran` 
                                                       where accode = '$maccode' and bankinit = '$mbankinit' and 
                                                       date >= '$mfrmdate' and date <= '$mtodate' and     
                                                       (source = '$msource1' or source = '$msource2'))  
                                                       union
                                                       SELECT *, DATE_FORMAT(`date`, '%d-%m-%Y') as mydt FROM `actran` 
                                                       WHERE accode != '$maccode' and source = 'TR' and  
                                                       concat(source,vouchno) in (select concat(source,vouchno) from `actran` 
                                                       where accode = '$maccode'  and 
                                                       date >= '$mfrmdate' and date <= '$mtodate' and     
                                                       (source = 'TR' )) order by date, source, vouchno ") or die(mysqli_error($conn));

        $getbal = mysqli_query($conn, "SELECT SUM(amount) as amt FROM `$trandb` WHERE accode = '$maccode' AND 
                                                           `date` < '$mfrmdate' and `retdate` = '0000-00-00' ") or die(mysqli_error($conn));
        $getamt = mysqli_fetch_array($getbal);
        $amt = $getamt['amt'];

        $mobal = $mopbal + $amt;
        $mdebit = 0;
        $mcredit = 0;

        if ($mobal < 0) {
            $mdc = "DR";
            $mdebit = abs($mobal);
            //                $dtot = $dtot + $mdebit;
        } else {
            $mdc = "CR";
            $mcredit = abs($mobal);
            //                $ctot = $ctot + $mcredit;
        }
        $vdate1 = strtotime($mfrmdate);
        $vdate = date('d-m-Y', $vdate1);
        $mvouch = "";
        $mdescrip = "Opening Balance";
        $totbal = $totbal + $mobal;

        if ($totbal < 0) {
            $mdctot = "DR";
        } else {
            $mdctot = "CR";
        }
        $contents .= ",," . $macname . "\n";

        if ($prnnarr == 1) {
            $contents .= "Date,Voucher,Description,Cheque Details, Remarks, Debit,Credit,Balance,\n";
        } else {
            $contents .= "Date,Voucher,Description, Debit,Credit,Balance,\n";
        }

        $contents .= $vdate . ",";
        $contents .= $mvouch . ",";
        $contents .= $mdescrip . ",";
        if ($prnnarr == 1) {
            $contents .= ",,";
        }


        if ($prntype == 1) {
            $contents .= $mdebit . ",";
            $contents .= $mcredit . ",";
            $contents .= abs($totbal) . "," . $mdctot . "\n";
        } elseif ($prntype == 2) {
            $contents .= $mdebit . ",";
            $contents .= "" . ",";
            $contents .= "" . "\n";
        } else {
            $contents .= "" . ",";
            $contents .= $mcredit . ",";
            $contents .= "" . "\n";
        }

        if ($mcredit > 0) {
            $opening = $mcredit;
        } else {
            $opening = $mdebit;
        }

        while ($row = mysqli_fetch_assoc($ctran1)) {

            $vdate = $row["mydt"];
            $msource = $row["source"];
            $mvouch = $row["vouchno"];
            $mamount = $row["amount"];
            $daccode = $row["accode"];
            $mdebit = 0;
            $mcredit = 0;

            if ($mamount > 0) {
                $mdc = "DR";
                $mdebit = abs($mamount);
                $dtot = $dtot + $mdebit;
                $totbal = $totbal - abs($mamount);
            } else {
                $mdc = "CR";
                $mcredit = abs($mamount);
                $ctot = $ctot + $mcredit;
                $totbal = $totbal + abs($mamount);
            }

            if ($totbal < 0) {
                $mdctot = "DR";
            } else {
                $mdctot = "CR";
            }
            $mdescrip = "";
            $mchqdtl = "";
            $mnarr = "";

            $nqry1 = mysqli_query($conn, "SELECT name FROM `accmast` WHERE accode = '$daccode'") or die(mysqli_error($conn));
            $nqry = mysqli_fetch_array($nqry1);

            $head = $nqry["name"];

            switch ($msource) {
                case "BR";
                    if ($prnnarr == 1) {
                        $nqry1 = mysqli_query($conn, "SELECT chqno, DATE_FORMAT(`chqdate`, '%d-%m-%Y') as mbilldate, 
                                                                 remark1, remark2 FROM `$bankrecp` WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                        $nqry = mysqli_fetch_array($nqry1);

                        $mbill = $nqry["chqno"];
                        $mbilldt = $nqry["mbilldate"];
                        $mnarr = trim($nqry["remark1"]) . ' ' . trim($nqry["remark2"]);
                        $mchqdtl = "Cheque No. : " . +trim($mbill) . " Dated : " . $mbilldt;
                    }
                    break;

                case "BP";

                    if ($prnnarr == 1) {
                        $nqry1 = mysqli_query($conn, "SELECT chqno, DATE_FORMAT(`chqdate`, '%d-%m-%Y') as mbilldate, 
                                                                 remark1, remark2 FROM `$bankpay` WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                        $nqry = mysqli_fetch_array($nqry1);

                        $mbill = $nqry["chqno"];
                        $mbilldt = $nqry["mbilldate"];
                        $mnarr = trim($nqry["remark1"]) . ' ' . trim($nqry["remark2"]);
                        $mchqdtl = "Cheque No. : " . +trim($mbill) . " Dated : " . $mbilldt;
                    }
                    break;

                case "CR";
                    if ($prnnarr == 1) {
                        $nqry1 = mysqli_query($conn, "SELECT `remark1`, `remark2` FROM `$cashrecp`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                        $nqry = mysqli_fetch_array($nqry1);

                        $mbill = '';
                        $mbilldt = '';
                        $mnarr = trim($nqry["remark1"]) . ' ' . trim($nqry["remark2"]);
                        //$mchqdtl = "Cheque No. : ".+ trim($mbill)." &nbsp;&nbsp;Dated : ".$mbilldt;  
                    }
                    break;

                case "CP";

                    if ($prnnarr == 1) {
                        $nqry1 = mysqli_query($conn, "SELECT `remark1`, `remark2` FROM `$cashpay`
                                                                       WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                        $nqry = mysqli_fetch_array($nqry1);

                        $mbill = $nqry[""];
                        $mbilldt = $nqry[""];
                        $mnarr = trim($nqry["remark1"]) . ' ' . trim($nqry["remark2"]);
                        //$mchqdtl = "Cheque No. : ".+ trim($mbill)." &nbsp;&nbsp;Dated : ".$mbilldt;  
                    }
                    break;

                case "TR";
                    //                                            $head = "Contra / Transfer";
                    if ($mamount > 0) {
                        $head = "To " . $head;
                    } else {
                        $head = "From " . $head;
                    }
                    if ($prnnarr == 1) {
                        $nqry1 = mysqli_query($conn, "SELECT `narr1`, `narr2` FROM `$contra` WHERE vouchno='$mvouch'") or die(mysqli_error($conn));
                        $nqry = mysqli_fetch_array($nqry1);

                        $mnarr = trim($nqry["narr1"]) . ' ' . trim($nqry["narr2"]);
                    }
                    break;
                default:
                    $head = "Other";
            }

            $contents .= $vdate . ",";
            $contents .= $msource . " " . $mvouch . ",";
            $contents .= $head . ",";

            if ($prnnarr == 1) {
                if (!empty($mchqdtl)) {
                    $contents .= str_replace(',', '', $mchqdtl) . ",";
                } else {
                    $contents .= ",";
                }
            }

            if ($prnnarr == 1) {
                if (!empty($mnarr)) {
                    $contents .= str_replace(',', '', $mnarr) . ",";
                } else {
                    $contents .= ",";
                }
            }

            if ($prntype == 1) {
                $contents .= $mdebit . ",";
                $contents .= $mcredit . ",";
                $contents .= abs($totbal) . "," . $mdctot . "\n";
            } elseif ($prntype == 2) {
                $contents .= $mdebit . ",";
                $contents .= "" . ",";
                $contents .= "" . "\n";
            } else {
                $contents .= "" . ",";
                $contents .= $mcredit . ",";
                $contents .= "" . "\n";
            }
        }

        if ($prnnarr == 1) {
            $contents .= "" . ",,";
            $contents .= "Total" . ",,";
        } else {
            $contents .= "" . ",";
            $contents .= "Total" . ",";
        }

        $contents .= $opening . ",";

        if ($prntype == 1) {
            $contents .= $dtot . ",";
            $contents .= $ctot . ",";
            if ($totbal < 0) {
                $contents .= abs($totbal) . "," . $mdctot . "\n";
            } else {
                $contents .= "- " . abs($totbal) . "," . $mdctot . "\n";
            }
        } elseif ($prntype == 2) {
            $contents .= $dtot . ",";
            $contents .= "" . ",,";
            $contents .= "" . "\n";
        } else {
            $contents .= "" . ",";
            $contents .= $ctot . ",,";
            $contents .= "" . "\n";
        }
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
